Bugzilla Whinedays SQL Injection

High Nessus Network Monitor Plugin ID 3439

Synopsis

The remote host is vulnerable to a SQL Injection attack.

Description

The remote host is running Bugzilla, a bug-tracking software with a web interface. The version of Bugzilla on the remote host suffers from a SQL Injection flaw. An attacker exploiting this flaw would only need to be able to send HTTP queries to the Bugzilla application. Successful exploitation would result in the attacker executing arbitrary commands on the remote database server that services Bugzilla.

Solution

Upgrade to version 2.18.5, 2.20.1, 2.21.1 or higher.

See Also

http://www.bugzilla.org/security/2.18.4

Plugin Details

Severity: High

ID: 3439

Family: CGI

Published: 2006/02/21

Modified: 2016/01/15

Dependencies: 1442

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 6.8

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Reference Information

CVE: CVE-2006-0913, CVE-2006-0916

BID: 16745, 16738